Subject: [stir] FYI only: Two new VoIP spam drafts

From: Henning Schulzrinne <[email-masked]>
Date: Sat, 1 Oct 2016 01:07:38 +0000

[Please address comments to the DISPATCH list; this copy is FYI only since I forgot to bcc the list.]

In collaboration with members of the Robocall Strike Force (https://www.fcc.gov/news-events/events/2016/08/first-meeting-industry-led-robocall-strike-force), I have submitted two I-D's:

https://datatracker.ietf.org/doc/draft-schulzrinne-dispatch-status-unwanted/

https://datatracker.ietf.org/doc/draft-schulzrinne-dispatch-callinfo-spam/

that fill in operational needs for dealing with SIP spam. The first defines a new status code (666) that users can use to mark unwanted calls, either as a response code to an INVITE or in a Reason header in a BYE response. (This will likely be supplemented in practice by API-based mechanisms for post-call spam reports.)

The second defines a set of Call-Info parameters that allow the carrier or other UE-trusted SIP entity in the path to indicate the spam probability, type of call and other related information that will allow the UE and user to make better call handling decisions.

This complements the 'verstat' work being submitted to 3GPP (by others), for indicating the level of trust in the From/PAI tel URI.

Henning